# bio_file.h File Reference

`#include <gwenhywfar/bufferedio.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_BUFFEREDIO * | GWEN_BufferedIO_File_new (int fd)

## Function Documentation

GWENHYWFAR_API GWEN_BUFFEREDIO* GWEN_BufferedIO_File_new | ( | int | fd | ) |

| Create a buffered IO context using an already open file. This file will automatically be closed upon GWEN_BufferedIO_Close (unless it is stdin, stdout or stderr). This context can be free'd using GWEN_BufferedIO_free.